package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.entity.MarkTrack;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 轨迹给分表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkTrackService extends IService<MarkTrack> {

    void deleteByTaskId(Long taskId);

    List<MarkTrack> listByTaskIdAndQuestionNumber(Long taskId, String questionNumber);

    void deleteByStudentId(Long studentId);

    void deleteByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);
    
    List<MarkTrack> listByTaskId(Long taskId);

	List<MarkTrack> findByStudentIdAndQuestionNumber(Long studentId, String questionNumber);

    List<MarkTrack> listByStudentId(Long studentId);
}
